Mail archive
alpine-aports

[alpine-aports] [PATCH 2/4] main/perl-io-compress: remove man pages

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Fri, 29 Jan 2016 23:39:02 +0100

They seem to be already provided by perl-doc. Installing perl-doc and
perl-io-compress-doc should thus result in a conflict.
---
 main/perl-io-compress/APKBUILD | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/main/perl-io-compress/APKBUILD b/main/perl-io-compress/APKBUILD
index 5fcd5a2..5cf9329 100644
--- a/main/perl-io-compress/APKBUILD
+++ b/main/perl-io-compress/APKBUILD
_at_@ -3,7 +3,7 @@
 pkgname=perl-io-compress
 _realname=IO-Compress
 pkgver=2.069
-pkgrel=0
+pkgrel=1
 pkgdesc="Perl compression library"
 url="http://search.cpan.org/dist/IO-Compress/"
 arch="noarch"
_at_@ -32,6 +32,9 @@ package() {
 
 	# creates file collision among perl modules
 	find "$pkgdir" -name perllocal.pod -delete
+
+	# man pages are already provided by perl-doc
+	rm -rf /usr/share/man || return 1
 }
 
 md5sums="b26925161e3f01919f60344d1bbb49c4  IO-Compress-2.069.tar.gz"
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Jan 29 2016 - 23:39:02 GMT